#!/bin/sh

set -e

srcdir="${0%/*}"

{(
	cd "${srcdir}"
	[ -d build-aux ] || mkdir build-aux
	cat >ChangeLog <<-EOF
This file is generated upon release.  Run \`git log\` for a list of changes.
EOF
	aclocal
	autoconf
	automake --add-missing --copy
)}

"${srcdir}/configure" "${@}"
